'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames2 = require('classnames');

var _classnames3 = _interopRequireDefault(_classnames2);

var _BaseComponent2 = require('../BaseComponent');

var _BaseComponent3 = _interopRequireDefault(_BaseComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Popover = function (_BaseComponent) {
  _inherits(Popover, _BaseComponent);

  function Popover(props) {
    _classCallCheck(this, Popover);

    return _possibleConstructorReturn(this, (Popover.__proto__ || Object.getPrototypeOf(Popover)).call(this, props, { displayName: 'Popover' }));
  }

  _createClass(Popover, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          title = _props.title,
          body = _props.body,
          classes = _props.classes,
          style = _props.style,
          anchorEl = _props.anchorEl,
          target = _props.target,
          open = _props.open,
          _props$orientation = _props.orientation,
          orientation = _props$orientation === undefined ? 'bottom' : _props$orientation,
          children = _props.children;


      var baseClasses = (0, _classnames3.default)('px-popover', { 'px-popover--is-open': open }, classes);

      var popoverWrapperClasses = (0, _classnames3.default)('popover__wrapper', { 'fadeFromVisible': !open }, { 'fadeFromHidden': open });

      var popoverClasses = (0, _classnames3.default)('popover');

      var popoverCaretClasses = (0, _classnames3.default)('popover__carat', _defineProperty({}, '' + orientation, orientation));

      return _react2.default.createElement(
        'div',
        { className: baseClasses },
        _react2.default.createElement(
          'div',
          { id: 'popover__wrapper', className: popoverWrapperClasses },
          _react2.default.createElement('div', { id: 'popover__carat', className: popoverCaretClasses }),
          _react2.default.createElement(
            'div',
            { id: 'popover', className: popoverClasses },
            title && _react2.default.createElement(
              'h5',
              { className: 'epsilon' },
              title
            ),
            body && _react2.default.createElement(
              'p',
              null,
              body
            ),
            children && _react2.default.createElement(
              'div',
              null,
              children
            )
          )
        )
      );
    }
  }]);

  return Popover;
}(_BaseComponent3.default);

exports.default = Popover;