(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', 'classnames', '../AppNav', '../BrandingBar'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('classnames'), require('../AppNav'), require('../BrandingBar'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.classnames, global.AppNav, global.BrandingBar);
    global.index = mod.exports;
  }
})(this, function (exports, _react, _classnames, _AppNav, _BrandingBar) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  var _classnames2 = _interopRequireDefault(_classnames);

  var _AppNav2 = _interopRequireDefault(_AppNav);

  var _BrandingBar2 = _interopRequireDefault(_BrandingBar);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  var AppHeader = function AppHeader(_ref) {
    var title = _ref.title,
        selected = _ref.selected,
        selectedItem = _ref.selectedItem,
        onChange = _ref.onChange,
        items = _ref.items,
        style = _ref.style,
        children = _ref.children;


    return _react2.default.createElement(
      'div',
      null,
      _react2.default.createElement(_BrandingBar2.default, { title: title }),
      items && _react2.default.createElement(_AppNav2.default, { items: items, selected: selected, onChange: onChange }),
      children && _react2.default.createElement(
        'div',
        null,
        children
      )
    );
  };

  AppHeader.displayName = 'AppHeader';
  exports.default = AppHeader;
});