(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', 'classnames', './device-view.scss', '../BaseComponent'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('classnames'), require('./device-view.scss'), require('../BaseComponent'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.classnames, global.deviceView, global.BaseComponent);
    global.deviceView = mod.exports;
  }
})(this, function (exports, _react, _classnames2, _deviceView, _BaseComponent2) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  var _classnames3 = _interopRequireDefault(_classnames2);

  var _deviceView2 = _interopRequireDefault(_deviceView);

  var _BaseComponent3 = _interopRequireDefault(_BaseComponent2);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  function _possibleConstructorReturn(self, call) {
    if (!self) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }

    return call && (typeof call === "object" || typeof call === "function") ? call : self;
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
    }

    subClass.prototype = Object.create(superClass && superClass.prototype, {
      constructor: {
        value: subClass,
        enumerable: false,
        writable: true,
        configurable: true
      }
    });
    if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
  }

  var DeviewView = function (_BaseComponent) {
    _inherits(DeviewView, _BaseComponent);

    function DeviewView(props) {
      _classCallCheck(this, DeviewView);

      return _possibleConstructorReturn(this, (DeviewView.__proto__ || Object.getPrototypeOf(DeviewView)).call(this, props, { displayName: 'DeviewView' }));
    }

    _createClass(DeviewView, [{
      key: 'render',
      value: function render() {
        var _props = this.props,
            _props$label = _props.label,
            label = _props$label === undefined ? 'px-example-component' : _props$label,
            src = _props.src,
            _props$device = _props.device,
            device = _props$device === undefined ? 'phone' : _props$device,
            landscape = _props.landscape,
            style = _props.style,
            children = _props.children;


        var baseClasses = (0, _classnames3.default)('device-view', { 'landscape': landscape }, _defineProperty({}, '' + device, device));

        return _react2.default.createElement(
          'div',
          { className: baseClasses, style: style, 'data-device': device },
          _react2.default.createElement(
            'div',
            { className: 'container' },
            src && _react2.default.createElement('iframe', { src: src }),
            children && _react2.default.createElement(
              'div',
              { className: 'device-view-content' },
              children
            )
          ),
          _react2.default.createElement(
            'style',
            null,
            '' + _deviceView2.default
          )
        );
      }
    }]);

    return DeviewView;
  }(_BaseComponent3.default);

  exports.default = DeviewView;
});