(function (global, factory) {
	if (typeof define === "function" && define.amd) {
		define(['exports', 'react'], factory);
	} else if (typeof exports !== "undefined") {
		factory(exports, require('react'));
	} else {
		var mod = {
			exports: {}
		};
		factory(mod.exports, global.react);
		global.index = mod.exports;
	}
})(this, function (exports, _react) {
	'use strict';

	Object.defineProperty(exports, "__esModule", {
		value: true
	});

	var _react2 = _interopRequireDefault(_react);

	function _interopRequireDefault(obj) {
		return obj && obj.__esModule ? obj : {
			default: obj
		};
	}

	exports.default = function (_ref) {
		var title = _ref.title,
		    subtitle = _ref.subtitle,
		    showBackButton = _ref.showBackButton,
		    backButtonLabel = _ref.backButtonLabel,
		    showMenuButton = _ref.showMenuButton,
		    onBackButtonClick = _ref.onBackButtonClick,
		    onMenuButtonClick = _ref.onMenuButtonClick,
		    rightContent = _ref.rightContent,
		    children = _ref.children;
		return _react2.default.createElement(
			'div',
			{ className: 'px-navbar' },
			_react2.default.createElement(
				'nav',
				{ className: 'navbar' },
				_react2.default.createElement(
					'div',
					{ className: 'navbar__inner' },
					_react2.default.createElement(
						'div',
						{ className: 'navbar__left' },
						showMenuButton && _react2.default.createElement(
							'button',
							{ className: 'navbar__button flex flex--center toggle__menu', onClick: onMenuButtonClick },
							_react2.default.createElement(
								'svg',
								{ xmlns: 'http://www.w3.org/2000/svg', width: '24', height: '24', viewBox: '0 0 24 24' },
								_react2.default.createElement('path', { d: 'M0 0h24v24h-24z', fill: 'none' }),
								_react2.default.createElement('path', { d: 'M3 18h18v-2h-18v2zm0-5h18v-2h-18v2zm0-7v2h18v-2h-18z' })
							)
						),
						showBackButton && _react2.default.createElement(
							'button',
							{ className: 'navbar__button', onClick: onBackButtonClick },
							backButtonLabel
						)
					),
					_react2.default.createElement(
						'div',
						{ className: 'navbar__center' },
						_react2.default.createElement(
							'span',
							{ className: 'navbar__title' },
							_react2.default.createElement(
								'span',
								null,
								title
							)
						),
						_react2.default.createElement(
							'span',
							{ className: 'navbar__subtitle' },
							_react2.default.createElement(
								'span',
								null,
								subtitle
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: 'navbar__right' },
						rightContent
					)
				)
			)
		);
	};
});