(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', 'classnames', './px-tile.scss'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('classnames'), require('./px-tile.scss'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.classnames, global.pxTile);
    global.index = mod.exports;
  }
})(this, function (exports, _react, _classnames, _pxTile) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  var _classnames2 = _interopRequireDefault(_classnames);

  var _pxTile2 = _interopRequireDefault(_pxTile);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = function (_ref) {
    var title = _ref.title,
        subtitle = _ref.subtitle,
        description = _ref.description,
        overlayDescription = _ref.overlayDescription,
        image = _ref.image,
        className = _ref.className,
        actionButtons = _ref.actionButtons,
        children = _ref.children,
        _ref$imgStyle = _ref.imgStyle,
        imgStyle = _ref$imgStyle === undefined ? {} : _ref$imgStyle;

    var baseClasses = (0, _classnames2.default)('px-tile', className);

    return _react2.default.createElement(
      'div',
      { className: baseClasses },
      _react2.default.createElement(
        'div',
        { className: 'tile__container' },
        _react2.default.createElement(
          'div',
          { id: 'tile', className: 'tile' },
          _react2.default.createElement(
            'div',
            { id: 'thumbnail', className: 'thumbnail' },
            image && _react2.default.createElement('img', { src: image, alt: title, style: imgStyle })
          ),
          _react2.default.createElement(
            'div',
            { className: 'overlay-top-content' },
            _react2.default.createElement(
              'div',
              { className: 'header-wrapper' },
              _react2.default.createElement(
                'div',
                { className: '' },
                title && _react2.default.createElement(
                  'div',
                  { className: 'title epsilon flex flex--justify' },
                  _react2.default.createElement(
                    'span',
                    { className: 'title-span truncate' },
                    title
                  )
                ),
                subtitle && _react2.default.createElement(
                  'div',
                  { className: 'subtitle zeta truncate' },
                  _react2.default.createElement(
                    'span',
                    { className: 'subtitle-span' },
                    subtitle
                  )
                )
              )
            )
          )
        ),
        _react2.default.createElement(
          'div',
          { id: 'overlay', className: 'overlay' },
          _react2.default.createElement(
            'div',
            { className: 'title epsilon' },
            _react2.default.createElement(
              'span',
              { className: 'title-span truncate' },
              title
            )
          ),
          _react2.default.createElement(
            'div',
            { className: 'text' },
            overlayDescription && overlayDescription,
            children && children
          ),
          actionButtons && _react2.default.createElement(
            'div',
            { className: 'footer' },
            actionButtons
          )
        )
      )
    );
  };
});