(function (global, factory) {
	if (typeof define === "function" && define.amd) {
		define(['module', 'react', './AppHeader', './AppNav', './AppNav/px-app-nav-item', './AppNav/px-app-nav-sub-group', './Accordion', './AlertMessage', './AlertLabel', './ActionSheet', './BrandingBar', './Breadcrumbs', './Button', './Card', './Chip', './Drawer', './Dropdown', './Grid', './Input', './Input/Label', './Input/FormField', './Input/Textarea', './Input/Select', './IconSet', './Toggle', './IconSet/Icon', './KeyValuePair', './Layout', './Modal', './Navbar', './Overlay', './Popover', './BrandingBar/px-predix-svg-logo', './ProgressBar', './Spinner', './TableView', './TableView/TableRow', './Tabs', './Tabs/Tab', './Tree/px-tree-node', './Tree', './Tile', './ViewHeader', '../flex', './Notification', './styles'], factory);
	} else if (typeof exports !== "undefined") {
		factory(module, require('react'), require('./AppHeader'), require('./AppNav'), require('./AppNav/px-app-nav-item'), require('./AppNav/px-app-nav-sub-group'), require('./Accordion'), require('./AlertMessage'), require('./AlertLabel'), require('./ActionSheet'), require('./BrandingBar'), require('./Breadcrumbs'), require('./Button'), require('./Card'), require('./Chip'), require('./Drawer'), require('./Dropdown'), require('./Grid'), require('./Input'), require('./Input/Label'), require('./Input/FormField'), require('./Input/Textarea'), require('./Input/Select'), require('./IconSet'), require('./Toggle'), require('./IconSet/Icon'), require('./KeyValuePair'), require('./Layout'), require('./Modal'), require('./Navbar'), require('./Overlay'), require('./Popover'), require('./BrandingBar/px-predix-svg-logo'), require('./ProgressBar'), require('./Spinner'), require('./TableView'), require('./TableView/TableRow'), require('./Tabs'), require('./Tabs/Tab'), require('./Tree/px-tree-node'), require('./Tree'), require('./Tile'), require('./ViewHeader'), require('../flex'), require('./Notification'), require('./styles'));
	} else {
		var mod = {
			exports: {}
		};
		factory(mod, global.react, global.AppHeader, global.AppNav, global.pxAppNavItem, global.pxAppNavSubGroup, global.Accordion, global.AlertMessage, global.AlertLabel, global.ActionSheet, global.BrandingBar, global.Breadcrumbs, global.Button, global.Card, global.Chip, global.Drawer, global.Dropdown, global.Grid, global.Input, global.Label, global.FormField, global.Textarea, global.Select, global.IconSet, global.Toggle, global.Icon, global.KeyValuePair, global.Layout, global.Modal, global.Navbar, global.Overlay, global.Popover, global.pxPredixSvgLogo, global.ProgressBar, global.Spinner, global.TableView, global.TableRow, global.Tabs, global.Tab, global.pxTreeNode, global.Tree, global.Tile, global.ViewHeader, global.flex, global.Notification, global.styles);
		global.index = mod.exports;
	}
})(this, function (module, _react, _AppHeader, _AppNav, _pxAppNavItem, _pxAppNavSubGroup, _Accordion, _AlertMessage, _AlertLabel, _ActionSheet, _BrandingBar, _Breadcrumbs, _Button, _Card, _Chip, _Drawer, _Dropdown, _Grid, _Input, _Label, _FormField, _Textarea, _Select, _IconSet, _Toggle, _Icon, _KeyValuePair, _Layout, _Modal, _Navbar, _Overlay, _Popover, _pxPredixSvgLogo, _ProgressBar, _Spinner, _TableView, _TableRow, _Tabs, _Tab, _pxTreeNode, _Tree, _Tile, _ViewHeader, _flex, _Notification) {
	'use strict';

	var _react2 = _interopRequireDefault(_react);

	var _AppHeader2 = _interopRequireDefault(_AppHeader);

	var _AppNav2 = _interopRequireDefault(_AppNav);

	var _pxAppNavItem2 = _interopRequireDefault(_pxAppNavItem);

	var _pxAppNavSubGroup2 = _interopRequireDefault(_pxAppNavSubGroup);

	var _Accordion2 = _interopRequireDefault(_Accordion);

	var _AlertMessage2 = _interopRequireDefault(_AlertMessage);

	var _AlertLabel2 = _interopRequireDefault(_AlertLabel);

	var _ActionSheet2 = _interopRequireDefault(_ActionSheet);

	var _BrandingBar2 = _interopRequireDefault(_BrandingBar);

	var _Breadcrumbs2 = _interopRequireDefault(_Breadcrumbs);

	var _Button2 = _interopRequireDefault(_Button);

	var _Card2 = _interopRequireDefault(_Card);

	var _Chip2 = _interopRequireDefault(_Chip);

	var _Drawer2 = _interopRequireDefault(_Drawer);

	var _Dropdown2 = _interopRequireDefault(_Dropdown);

	var _Grid2 = _interopRequireDefault(_Grid);

	var _Input2 = _interopRequireDefault(_Input);

	var _Label2 = _interopRequireDefault(_Label);

	var _FormField2 = _interopRequireDefault(_FormField);

	var _Textarea2 = _interopRequireDefault(_Textarea);

	var _Select2 = _interopRequireDefault(_Select);

	var _IconSet2 = _interopRequireDefault(_IconSet);

	var _Toggle2 = _interopRequireDefault(_Toggle);

	var _Icon2 = _interopRequireDefault(_Icon);

	var _KeyValuePair2 = _interopRequireDefault(_KeyValuePair);

	var _Layout2 = _interopRequireDefault(_Layout);

	var _Modal2 = _interopRequireDefault(_Modal);

	var _Navbar2 = _interopRequireDefault(_Navbar);

	var _Overlay2 = _interopRequireDefault(_Overlay);

	var _Popover2 = _interopRequireDefault(_Popover);

	var _pxPredixSvgLogo2 = _interopRequireDefault(_pxPredixSvgLogo);

	var _ProgressBar2 = _interopRequireDefault(_ProgressBar);

	var _Spinner2 = _interopRequireDefault(_Spinner);

	var _TableView2 = _interopRequireDefault(_TableView);

	var _TableRow2 = _interopRequireDefault(_TableRow);

	var _Tabs2 = _interopRequireDefault(_Tabs);

	var _Tab2 = _interopRequireDefault(_Tab);

	var _pxTreeNode2 = _interopRequireDefault(_pxTreeNode);

	var _Tree2 = _interopRequireDefault(_Tree);

	var _Tile2 = _interopRequireDefault(_Tile);

	var _ViewHeader2 = _interopRequireDefault(_ViewHeader);

	var _flex2 = _interopRequireDefault(_flex);

	var _Notification2 = _interopRequireDefault(_Notification);

	function _interopRequireDefault(obj) {
		return obj && obj.__esModule ? obj : {
			default: obj
		};
	}

	var LayoutItem = function LayoutItem(_ref) {
		var style = _ref.style,
		    children = _ref.children;

		return _react2.default.createElement(
			'div',
			{ style: style, className: 'layout__item' },
			children
		);
	};

	var px = {
		Input: _Input2.default,
		Select: _Select2.default,
		Textarea: _Textarea2.default,
		FormField: _FormField2.default,
		Label: _Label2.default,

		AppNav: _AppNav2.default,
		AppNavItem: _pxAppNavItem2.default,
		AppNavSubGroup: _pxAppNavSubGroup2.default,
		AppHeader: _AppHeader2.default,
		Accordion: _Accordion2.default,
		AlertLabel: _AlertLabel2.default,
		AlertMessage: _AlertMessage2.default,
		ActionSheet: _ActionSheet2.default,
		Button: _Button2.default,
		BrandingBar: _BrandingBar2.default,
		Breadcrumbs: _Breadcrumbs2.default,
		Card: _Card2.default,
		Chip: _Chip2.default,

		Dropdown: _Dropdown2.default,
		Drawer: _Drawer2.default,

		Grid: _Grid2.default,
		Icon: _Icon2.default,
		IconSet: _IconSet2.default,
		KeyValuePair: _KeyValuePair2.default,
		Spinner: _Spinner2.default,
		Modal: _Modal2.default,
		Navbar: _Navbar2.default,
		Notification: _Notification2.default,
		Overlay: _Overlay2.default,

		Layout: _Layout2.default,
		LayoutItem: LayoutItem,
		PredixSvgLogo: _pxPredixSvgLogo2.default,
		ProgressBar: _ProgressBar2.default,
		Popover: _Popover2.default,
		TableView: _TableView2.default,
		TableRow: _TableRow2.default,
		Tabs: _Tabs2.default,
		Tab: _Tab2.default,
		Tile: _Tile2.default,
		Tree: _Tree2.default,
		TreeNode: _pxTreeNode2.default,
		ViewHeader: _ViewHeader2.default,
		Flex: _flex2.default,
		Toggle: _Toggle2.default
	};

	module.exports = px;
});